Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.display.config.exception
Class IllegalTemplateDefinitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.display.config.exception.DisplayServiceException
                  com.bea.p13n.display.config.exception.IllegalTemplateDefinitionException

All Implemented Interfaces
  Serializable

    public class IllegalTemplateDefinitionException

extends DisplayServiceException

This class extends `DisplayServiceException` class and wraps the exception occurred in the application.This exception might occur when there is a problem in writing into the `template-config.xml` file.

See Also
  Serialized Form

Constructor Summary
`IllegalTemplateDefinitionException()`
`IllegalTemplateDefinitionException(String msg)` Constructor that takes a String message as an argument
`IllegalTemplateDefinitionException(Throwable cause)` Constructor that takes Throwbale object.
`IllegalTemplateDefinitionException(Throwable cause, String msg)` Constructor that takes the Throwale object and its message

Method Summary

Methods inherited from class com.bea.p13n.display.config.exception.DisplayServiceException
`getErrorLevel, initCause, setErrorLevel`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalTemplateDefinitionException

    public IllegalTemplateDefinitionException()

### IllegalTemplateDefinitionException

    public IllegalTemplateDefinitionException(String msg)

  Constructor that takes a String message as an argument

  Parameters
    `msg` -

### IllegalTemplateDefinitionException

    public IllegalTemplateDefinitionException(Throwable cause)

  Constructor that takes Throwbale object.

  Parameters
    `cause` -

### IllegalTemplateDefinitionException

    public IllegalTemplateDefinitionException(Throwable cause,
                                              String msg)

  Constructor that takes the Throwale object and its message

  Parameters
    `cause` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved